# Uses of Interface
javax.validation.spi.ValidationProvider

Packages that use ValidationProvider
Package
Description
javax.validation

## Uses of ValidationProvider in javax.validation

Methods in javax.validation with type parameters of type ValidationProvider
Modifier and Type
Method
Description
`static <T extends Configuration<T>, U extends ValidationProvider<T>>
ProviderSpecificBootstrap<T>`
Validation.`byProvider(Class<U> providerType)`
Methods in javax.validation that return types with arguments of type ValidationProvider
Modifier and Type
Method
Description
`List<ValidationProvider<?>>`
ValidationProviderResolver.`getValidationProviders()`